org.eclipse.incquery.patternlanguage.patternLanguage

## Interface ParameterRef

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.xtext.common.types.JvmIdentifiableElement, org.eclipse.emf.common.notify.Notifier, Variable
  All Known Implementing Classes:
    ParameterRefImpl

      public interface ParameterRef
      extends Variable

  A representation of the model object 'Parameter Ref'.

  The following features are supported:

  - `Referred Param`
  See Also:
    `PatternLanguagePackage.getParameterRef()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Variable` | `getReferredParam()` Returns the value of the 'Referred Param' reference.
    `void` | `setReferredParam(Variable value)` Sets the value of the '`Referred Param`' reference.

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.Variable

      `getName, getReferences, getSimpleName, getType, setName, setType`

    - ### Methods inherited from interface org.eclipse.xtext.common.types.JvmIdentifiableElement

      `getIdentifier, getQualifiedName, getQualifiedName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getReferredParam

          Variable getReferredParam()

      Returns the value of the 'Referred Param' reference.

      If the meaning of the 'Referred Param' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Referred Param' reference.
      See Also:
        `setReferredParam(Variable)`, `PatternLanguagePackage.getParameterRef_ReferredParam()`

    - #### setReferredParam

          void setReferredParam(Variable value)

      Sets the value of the '`Referred Param`' reference.
      Parameters:
        `value` - the new value of the 'Referred Param' reference.
      See Also:
        `getReferredParam()`